Subject: Re: ls.exe shows windows system hidden files
From: Andrew DeFaria <[email-masked]>
To: [email-masked]
Date: Mon, 02 Dec 2002 19:43:58 -0800

Randall R Schulz wrote:

> Andrew,
>
> Cygwin uses stock "ls" source code. Cygwin's "ps" is entirely it's 
> own--it's all "distinctly Cygwin." 

Makes sense.

Still I would like ls to do it (in my case by default). You see I'm one 
of those, I guess, few Windows users who actually uses hidden files and 
likes to have them hidden in the Explorer and, correspondingly in ls. So 
I just live with this "defect".

Hacking up a wrapper around ls to use attribe would be a little work, if 
one wanted to insure other ls semantics including color and the like 
(IOW do it right). Maybe someday I'll do this...

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/